com.genesyslab.wfm7.API.service.config761

## Class CfgBUHolder

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config761.CfgBUHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgBUHolder
      extends java.lang.Object
      implements java.io.Serializable

  CfgBUHolder contains the response to the request to load the Business Unit information (`CfgBU` or `CfgBUShort` object) .
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private CfgBU[]` | `objectArray` An array of `CfgBU` objects, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT detail level
    `private int` | `objectArrayNSizeIs` Number of elements in objectArray array
    `private int[]` | `objectIDArray` An array of Business Unit IDs, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT_ID detail level
    `private int` | `objectIDArrayNSizeIs` Number of elements in objectIDArray array
    `private CfgBUShort[]` | `objectShortArray` An array of `CfgBUShort` objects, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT_SHORT detail level
    `private int` | `objectShortArrayNSizeIs` Number of elements in objectShortArray array
    `private CfgSiteShort[]` | `siteInfo` An array containing short pieces of information on all Sites related to the returned Business Units.
    `private int` | `siteInfoNSizeIs` Number of elements in siteInfo array
    `private long` | `timestamp` A timestamp value -- marks the point in time when response information was returned
    `private CfgVirtualActivityShort[]` | `virtualActivityInfo` An array containing short pieces of information for all Mult-Site Activities to which the returned Activities belong.
    `private int` | `virtualActivityInfoNSizeIs` Number of elements in virtualActivityInfo array

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgBUHolder()`
    `CfgBUHolder(int objectIDArrayNSizeIs, int[] objectIDArray, int objectArrayNSizeIs, CfgBU[] objectArray, int objectShortArrayNSizeIs, CfgBUShort[] objectShortArray, int siteInfoNSizeIs, CfgSiteShort[] siteInfo, int virtualActivityInfoNSizeIs, CfgVirtualActivityShort[] virtualActivityInfo, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `CfgBU[]` | `getObjectArray()` Gets the objectArray value for this CfgBUHolder.
    `int` | `getObjectArrayNSizeIs()` Gets the objectArrayNSizeIs value for this CfgBUHolder.
    `int[]` | `getObjectIDArray()` Gets the objectIDArray value for this CfgBUHolder.
    `int` | `getObjectIDArrayNSizeIs()` Gets the objectIDArrayNSizeIs value for this CfgBUHolder.
    `CfgBUShort[]` | `getObjectShortArray()` Gets the objectShortArray value for this CfgBUHolder.
    `int` | `getObjectShortArrayNSizeIs()` Gets the objectShortArrayNSizeIs value for this CfgBUHolder.
    `CfgSiteShort[]` | `getSiteInfo()` Gets the siteInfo value for this CfgBUHolder.
    `int` | `getSiteInfoNSizeIs()` Gets the siteInfoNSizeIs value for this CfgBUHolder.
    `long` | `getTimestamp()` Gets the timestamp value for this CfgBUHolder.
    `CfgVirtualActivityShort[]` | `getVirtualActivityInfo()` Gets the virtualActivityInfo value for this CfgBUHolder.
    `int` | `getVirtualActivityInfoNSizeIs()` Gets the virtualActivityInfoNSizeIs value for this CfgBUHolder.
    `int` | `hashCode()`
    `void` | `setObjectArray(CfgBU[] objectArray)` Sets the objectArray value for this CfgBUHolder.
    `void` | `setObjectArrayNSizeIs(int objectArrayNSizeIs)` Sets the objectArrayNSizeIs value for this CfgBUHolder.
    `void` | `setObjectIDArray(int[] objectIDArray)` Sets the objectIDArray value for this CfgBUHolder.
    `void` | `setObjectIDArrayNSizeIs(int objectIDArrayNSizeIs)` Sets the objectIDArrayNSizeIs value for this CfgBUHolder.
    `void` | `setObjectShortArray(CfgBUShort[] objectShortArray)` Sets the objectShortArray value for this CfgBUHolder.
    `void` | `setObjectShortArrayNSizeIs(int objectShortArrayNSizeIs)` Sets the objectShortArrayNSizeIs value for this CfgBUHolder.
    `void` | `setSiteInfo(CfgSiteShort[] siteInfo)` Sets the siteInfo value for this CfgBUHolder.
    `void` | `setSiteInfoNSizeIs(int siteInfoNSizeIs)` Sets the siteInfoNSizeIs value for this CfgBUHolder.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CfgBUHolder.
    `void` | `setVirtualActivityInfo(CfgVirtualActivityShort[] virtualActivityInfo)` Sets the virtualActivityInfo value for this CfgBUHolder.
    `void` | `setVirtualActivityInfoNSizeIs(int virtualActivityInfoNSizeIs)` Sets the virtualActivityInfoNSizeIs value for this CfgBUHolder.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### objectIDArrayNSizeIs

          private int objectIDArrayNSizeIs

      Number of elements in objectIDArray array

    - #### objectIDArray

          private int[] objectIDArray

      An array of Business Unit IDs, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT_ID detail level

    - #### objectArrayNSizeIs

          private int objectArrayNSizeIs

      Number of elements in objectArray array

    - #### objectArray

          private CfgBU[] objectArray

      An array of `CfgBU` objects, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT detail level

    - #### objectShortArrayNSizeIs

          private int objectShortArrayNSizeIs

      Number of elements in objectShortArray array

    - #### objectShortArray

          private CfgBUShort[] objectShortArray

      An array of `CfgBUShort` objects, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT_SHORT detail level

    - #### siteInfoNSizeIs

          private int siteInfoNSizeIs

      Number of elements in siteInfo array

    - #### siteInfo

          private CfgSiteShort[] siteInfo

      An array containing short pieces of information on all Sites related to the returned Business Units. This is returned only if the request specifies provideSiteInfo = true

    - #### virtualActivityInfoNSizeIs

          private int virtualActivityInfoNSizeIs

      Number of elements in virtualActivityInfo array

    - #### virtualActivityInfo

          private CfgVirtualActivityShort[] virtualActivityInfo

      An array containing short pieces of information for all Mult-Site Activities to which the returned Activities belong. This is returned only if the request specifies provideVirtualActivityInfo = true

    - #### timestamp

          private long timestamp

      A timestamp value -- marks the point in time when response information was returned

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgBUHolder

          public CfgBUHolder()

    - #### CfgBUHolder

          public CfgBUHolder(int objectIDArrayNSizeIs,
                     int[] objectIDArray,
                     int objectArrayNSizeIs,
                     CfgBU[] objectArray,
                     int objectShortArrayNSizeIs,
                     CfgBUShort[] objectShortArray,
                     int siteInfoNSizeIs,
                     CfgSiteShort[] siteInfo,
                     int virtualActivityInfoNSizeIs,
                     CfgVirtualActivityShort[] virtualActivityInfo,
                     long timestamp)

  - ### Method Detail

    - #### getObjectIDArrayNSizeIs

          public int getObjectIDArrayNSizeIs()

      Gets the objectIDArrayNSizeIs value for this CfgBUHolder.
      Returns:
        objectIDArrayNSizeIs

    - #### setObjectIDArrayNSizeIs

          public void setObjectIDArrayNSizeIs(int objectIDArrayNSizeIs)

      Sets the objectIDArrayNSizeIs value for this CfgBUHolder.
      Parameters:
        `objectIDArrayNSizeIs` -

    - #### getObjectIDArray

          public int[] getObjectIDArray()

      Gets the objectIDArray value for this CfgBUHolder.
      Returns:
        objectIDArray

    - #### setObjectIDArray

          public void setObjectIDArray(int[] objectIDArray)

      Sets the objectIDArray value for this CfgBUHolder.
      Parameters:
        `objectIDArray` -

    - #### getObjectArrayNSizeIs

          public int getObjectArrayNSizeIs()

      Gets the objectArrayNSizeIs value for this CfgBUHolder.
      Returns:
        objectArrayNSizeIs

    - #### setObjectArrayNSizeIs

          public void setObjectArrayNSizeIs(int objectArrayNSizeIs)

      Sets the objectArrayNSizeIs value for this CfgBUHolder.
      Parameters:
        `objectArrayNSizeIs` -

    - #### getObjectArray

          public CfgBU[] getObjectArray()

      Gets the objectArray value for this CfgBUHolder.
      Returns:
        objectArray

    - #### setObjectArray

          public void setObjectArray(CfgBU[] objectArray)

      Sets the objectArray value for this CfgBUHolder.
      Parameters:
        `objectArray` -

    - #### getObjectShortArrayNSizeIs

          public int getObjectShortArrayNSizeIs()

      Gets the objectShortArrayNSizeIs value for this CfgBUHolder.
      Returns:
        objectShortArrayNSizeIs

    - #### setObjectShortArrayNSizeIs

          public void setObjectShortArrayNSizeIs(int objectShortArrayNSizeIs)

      Sets the objectShortArrayNSizeIs value for this CfgBUHolder.
      Parameters:
        `objectShortArrayNSizeIs` -

    - #### getObjectShortArray

          public CfgBUShort[] getObjectShortArray()

      Gets the objectShortArray value for this CfgBUHolder.
      Returns:
        objectShortArray

    - #### setObjectShortArray

          public void setObjectShortArray(CfgBUShort[] objectShortArray)

      Sets the objectShortArray value for this CfgBUHolder.
      Parameters:
        `objectShortArray` -

    - #### getSiteInfoNSizeIs

          public int getSiteInfoNSizeIs()

      Gets the siteInfoNSizeIs value for this CfgBUHolder.
      Returns:
        siteInfoNSizeIs

    - #### setSiteInfoNSizeIs

          public void setSiteInfoNSizeIs(int siteInfoNSizeIs)

      Sets the siteInfoNSizeIs value for this CfgBUHolder.
      Parameters:
        `siteInfoNSizeIs` -

    - #### getSiteInfo

          public CfgSiteShort[] getSiteInfo()

      Gets the siteInfo value for this CfgBUHolder.
      Returns:
        siteInfo

    - #### setSiteInfo

          public void setSiteInfo(CfgSiteShort[] siteInfo)

      Sets the siteInfo value for this CfgBUHolder.
      Parameters:
        `siteInfo` -

    - #### getVirtualActivityInfoNSizeIs

          public int getVirtualActivityInfoNSizeIs()

      Gets the virtualActivityInfoNSizeIs value for this CfgBUHolder.
      Returns:
        virtualActivityInfoNSizeIs

    - #### setVirtualActivityInfoNSizeIs

          public void setVirtualActivityInfoNSizeIs(int virtualActivityInfoNSizeIs)

      Sets the virtualActivityInfoNSizeIs value for this CfgBUHolder.
      Parameters:
        `virtualActivityInfoNSizeIs` -

    - #### getVirtualActivityInfo

          public CfgVirtualActivityShort[] getVirtualActivityInfo()

      Gets the virtualActivityInfo value for this CfgBUHolder.
      Returns:
        virtualActivityInfo

    - #### setVirtualActivityInfo

          public void setVirtualActivityInfo(CfgVirtualActivityShort[] virtualActivityInfo)

      Sets the virtualActivityInfo value for this CfgBUHolder.
      Parameters:
        `virtualActivityInfo` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CfgBUHolder.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CfgBUHolder.
      Parameters:
        `timestamp` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.